[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Module symbol versions in installer kernel



On Sat, 2004-05-15 at 12:29, Paul Gear wrote:
> Arjan van de Ven wrote:
> >>I know that it has to match the kernel version.  The kernel in the FC1
> >>installer is 2.4.22-1.2115.nptl, and this is the kernel i built the
> >>driver against after install.  (I've just confirmed this again by
> >>running uname -a under both the installer and the default kernel after
> >>install.)
> > 
> > 
> > but it's not the same architecture/config.
> 
> Now we're getting somewhere.  :-)
> 
> Would you mind elaborating on that a little?

the installer uses kernel-BOOT for floppies and (I think this changed)
the i586 kernel for the cd based installs (note: prior to fc1 this was
also the kernel-BOOT kernel). If you have a recentish intel/amd cpu then
the installed kernel will be the i686 kernel. They're all different in
config, and you can't use a module build for one into the other. 
(For the config files see the configs/ directory as part of the
kernel-source package)

Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]